/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc crafted items\carpentry\OrnateElvenChestEastAddon.cs
Lines of code: 50
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class OrnateElvenChestEastAddon : BaseAddon
	{
		public override BaseAddonDeed Deed{ get{ return new OrnateElvenChestEastDeed(); } }

		[Constructable]
		public OrnateElvenChestEastAddon()
		{
			AddComponent( new AddonComponent( 12442 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 12443 ), 0, -1, 0 );
		}

		public OrnateElvenChestEastAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}

	public class OrnateElvenChestEastDeed : BaseAddonDeed
	{
		public override BaseAddon Addon{ get{ return new OrnateElvenChestEastAddon(); } }
		public override int LabelNumber{ get{ return 1073383; } } // ornate elven chest (east)

		[Constructable]
		public OrnateElvenChestEastDeed()
		{
		}

		public OrnateElvenChestEastDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}